package com.uas.report.schedule.service;

import java.util.List;

import com.uas.report.schedule.model.TaskInformation;

/**
 * 管理定时任务
 * 
 * @author sunyj
 * @since 2016年12月19日 上午10:52:29
 */
public interface TaskService {
	/**
	 * 建立定时任务
	 * 
	 * @param taskInformation
	 *            定时任务的信息
	 */
	public void newTask(TaskInformation taskInformation);

	/**
	 * 获取定时任务信息
	 * 
	 * @return
	 */
	public List<TaskInformation> allTaskInformations();

	/**
	 * 开启定时任务
	 * 
	 * @return 返回的结果
	 */
	public String start();

	/**
	 * 关闭定时任务
	 * 
	 * @return 返回的结果
	 */
	public String stop();

	/**
	 * 定时任务是否停止
	 * 
	 * @return
	 */
	public boolean isStopped();

}
